码迷,mamicode.com
首页 > 编程语言 > 详细

Error : java 不支持发行版本5

时间:2020-11-08 17:39:49      阅读:30      评论:0      收藏:0      [点我收藏+]

标签:targe   version   mic   inf   http   需要   ror   compile   本地   

技术图片

本地运行用的是JDK9,测试Java的Stream操作,报错应该是项目编译配置使用的Java版本不对,需要检查一下项目及环境使用的Java编译版本配置。
《1》在Intellij中点击“File” -->“Project Structure”,看一下“Project”和“Module”栏目中Java版本是否与本地一致:
技术图片
技术图片
如果不一致,改成本地使用的Java版本。

《2》点击“Settings”-->“Bulid, Execution,Deployment”-->“Java Compiler”,Target bytecode version设为本地Java版本。
(可以在Default Settings中把Project bytecode version 一劳永逸地配置成本地Java版本)

技术图片
Default Settings:

技术图片
以上两步都配置好之后,重新运行应该就不会报上述错误了

Error : java 不支持发行版本5

标签:targe   version   mic   inf   http   需要   ror   compile   本地   

原文地址:https://www.cnblogs.com/ithc/p/13943562.html

(0)
(0)
   
举报
评论 一句话评论(0
登录后才能评论!
© 2014 mamicode.com 版权所有
迷上了代码!